---------------------------------------------------------------------------------------------
-- Special Parked Cars V1.2 by Skorpro                                                     --
--                                                                                         --
-- If you want to use/modify this script/function, just do it! But note that is my work :) --
-- Hint: Use "inGame Trainer v1.9.0" by Awwu to find and save the coords you want!         --
-- My regards to Alexander Blade (Alice) & Awwu (Trainer) !!                               --
--                                                                                         --
---------------------------------------------------------------------------------------------


function SkorproCarsExtras(CarVar, SCE_01, SCE_02, SCE_03, SCE_04, SCE_05, SCE_06, SCE_07, SCE_08)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 1, SCE_01)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 2, SCE_02)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 3, SCE_03)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 4, SCE_04)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 5, SCE_05)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 6, SCE_06)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 7, SCE_07)
  TURN_OFF_VEHICLE_EXTRA(CarVar, 8, SCE_08)
end


function SkorproSpecialCars(CarName, X, Y, Z, A, Col_01, Col_02, SCol_01, SCol_02, Extra, Protection)
  local CarHash = GET_HASH_KEY(CarName)
  REQUEST_MODEL(CarHash)
  while HAS_MODEL_LOADED(CarHash) == 0 do Wait(100) end
  local SpecCarVar = {}
  Wait(500)
  CREATE_CAR(CarHash, itof(X), itof(Y), itof(Z), SpecCarVar, true)
  SET_CAR_ON_GROUND_PROPERLY(SpecCarVar.a)
  A = A + 0.01
  SET_CAR_HEADING(SpecCarVar.a, A)
  CHANGE_CAR_COLOUR(SpecCarVar.a, Col_01, Col_02)
  SET_EXTRA_CAR_COLOURS(SpecCarVar.a, SCol_01, SCol_02)
  SET_VEH_HAS_STRONG_AXLES(SpecCarVar.a, 1)
  FIX_CAR(SpecCarVar.a)
  SET_VEHICLE_DIRT_LEVEL(SpecCarVar.a, 0.0)
  WASH_VEHICLE_TEXTURES(SpecCarVar.a,255)
---- Protection Start
  if Protection == 1 then
    SET_CAR_PROOFS(SpecCarVar.a, 1, 1, 1, 1, 1)
    SET_CAR_CAN_BE_DAMAGED(SpecCarVar.a, 0)
    SET_CAN_BURST_CAR_TYRES(SpecCarVar.a, 0)
    SET_CAR_HEALTH(SpecCarVar.a, 99999.0)
    SET_CAR_CAN_BE_VISIBLY_DAMAGED(SpecCarVar.a, 0) 
  elseif Protection == 0 then
    Wait(100)
  end
---- Protection End
---- Car Extras Data --> Don't change it!
   if Extra == 1 then
     if CarName == "oracle" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 0, 0, 0, 0, 0)
     elseif CarName == "futo" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 0, 0, 0, 0, 0)
     elseif CarName == "schafter" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 0)
     elseif CarName == "pmp600" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 1)
     elseif CarName == "sentinel" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 1)
     elseif CarName == "zombieb" then
       SkorproCarsExtras(SpecCarVar.a, 1, 0, 1, 1, 1, 1, 0, 1)
     elseif CarName == "sultan" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 1)
     elseif CarName == "sultanrs" then
       SkorproCarsExtras(SpecCarVar.a, 0, 1, 1, 1, 1, 1, 1, 1)
     elseif CarName == "nrg900" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 1, 0, 1)
     elseif CarName == "moonbeam" then
       SkorproCarsExtras(SpecCarVar.a, 1, 0, 1, 0, 1, 0, 0, 0)
     elseif CarName == "intruder" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 0)
     elseif CarName == "primo" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 0)
     elseif CarName == "df8" then
       SkorproCarsExtras(SpecCarVar.a, 0, 1, 1, 1, 1, 1, 1, 1)
     elseif CarName == "feroci" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 0)
     elseif CarName == "hakumai" then
       SkorproCarsExtras(SpecCarVar.a, 0, 1, 1, 1, 0, 0, 0, 1)
     elseif CarName == "huntley" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 1, 0, 1, 1)
     elseif CarName == "landstalker" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 1, 0, 1)
     elseif CarName == "rebla" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 0)
     elseif CarName == "uranus" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 0, 0)
     elseif CarName == "pres" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 1, 1, 1)
     elseif CarName == "patriot" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 1, 1)
     elseif CarName == "voodoo" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 1, 1)
     elseif CarName == "cavalcade" then
       SkorproCarsExtras(SpecCarVar.a, 0, 1, 1, 1, 0, 0, 1, 1)
     elseif CarName == "e109" then
       SkorproCarsExtras(SpecCarVar.a, 1, 1, 1, 1, 0, 0, 1, 1)
     end
   elseif Extra == 0 then 
   end  
---- Car Extras End
  MARK_MODEL_AS_NO_LONGER_NEEDED(CarHash)
  Wait(1000)
end


function main()
 PRINT_STRING_WITH_LITERAL_STRING_NOW("STRING","Special Parked Cars v1.2 by SKORPRO",7000,1)
 Wait(1000)
--
-- Explanation: SkorproSpecialCars("Car Name", X Coord, Y Coord, Z Coord, Angle (in degree), .....
-- ..... 1st Color, 2nd Color, 1st Special Color, 2nd Special Color, Car Extras on=1/off=0, Protection on=1/off=0)
--
-- manhattan save house
 SkorproSpecialCars("oracle", 131.0244, 845.2913, 14.5143, 0, 0, 0, 91, 0, 1, 1)
 SkorproSpecialCars("pmp600", 130.8457, 854.5657, 14.5123, 0, 0, 0, 90, 0, 1, 0)
 SkorproSpecialCars("schafter", 130.9592, 860.8705, 14.5090, 0, 0, 0, 63, 0, 1, 0)
 SkorproSpecialCars("sentinel", 131.0879, 868.0031, 14.5119, 0, 132, 0, 0, 0, 1, 0)
-- bronx save house right
 SkorproSpecialCars("huntley", 589.6863, 1410.6073, 10.6916, 0, 133, 133, 132, 3, 1, 1)
 SkorproSpecialCars("e109", 589.7500, 1416.6050, 10.7462, 0, 0, 57, 91, 0, 1, 0)
 SkorproSpecialCars("cavalcade", 589.7842, 1422.5769, 10.7555, 0, 0, 0, 0, 0, 1, 0)
 SkorproSpecialCars("intruder", 589.7894, 1428.6733, 10.7771, 0, 0, 0, 84, 0, 1, 0)
-- bronx save house left
 SkorproSpecialCars("futo", 580.4723, 1390.7906, 10.6305, 0, 0, 34, 7, 0, 1, 0)
 SkorproSpecialCars("sultanrs", 580.4180, 1397.4384, 10.6553, 0, 0, 127, 1, 127, 1, 0)
 SkorproSpecialCars("sultan", 580.4691, 1404.0323, 10.6856, 0, 74, 0, 128, 127, 1, 0)
 SkorproSpecialCars("feroci", 580.4748, 1410.5072, 10.7122, 0, 0, 0, 119, 0, 1, 0)
 SkorproSpecialCars("pres", 580.4613, 1416.9669, 10.7347, 0, 37, 0, 131, 0, 1, 0)
 SkorproSpecialCars("moonbeam", 580.4237, 1423.5829, 10.7590, 0, 0, 0, 0, 0, 1, 0)
-- bronx save house left bikes
 SkorproSpecialCars("nrg900", 580.3323, 1427.6818, 10.5079, 270, 38, 38, 124, 0, 1, 0)
 SkorproSpecialCars("zombieb", 580.2459, 1430.2871, 10.4752, 270, 0, 31, 0, 29, 1, 0)
 while true do
  Wait(100)	
 end
end

-- start
main();
